import axios from 'axios';
import { Manga } from './manga';

export const getCover = async (manga: Manga): Promise<string> => {
  const coverId = Object.values(manga.relationships).find(
    (relationship) => relationship.type === 'cover_art',
  )?.id;

  if (!coverId) {
    return '';
  }

  const response = await axios.get(
    `https://api.mangadex.org/cover/${coverId}`,
    {
      headers: {
        'User-Agent':
          'Personal Chapter Update Tracker (Maintained by: https://pfy.ch)',
      },
    },
  );

  return `https://mangadex.org/covers/${manga.id}/${response.data.data.attributes.fileName}`;
};
